Package org.eclipse.rdf4j.benchmark.rio.jmh_generated

## Class WriterBenchmark_writer_jmhTest

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.jmh_generated.WriterBenchmark_writer_jmhTest

-     public final class WriterBenchmark_writer_jmhTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WriterBenchmark_writer_jmhTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `writer_AverageTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `writer_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, WriterBenchmark_jmhType l_writerbenchmark0_G)` |
    `static void` | `writer_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, WriterBenchmark_jmhType l_writerbenchmark0_G)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `writer_SampleTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `writer_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `writer_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, WriterBenchmark_jmhType l_writerbenchmark0_G)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `writer_Throughput​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `writer_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, WriterBenchmark_jmhType l_writerbenchmark0_G)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterBenchmark_writer_jmhTest

          public WriterBenchmark_writer_jmhTest()

  - ### Method Detail

    - #### writer_Throughput

          public org.openjdk.jmh.results.BenchmarkTaskResult writer_Throughput​(org.openjdk.jmh.runner.InfraControl control,
                                                                               org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                        throws Throwable

      Throws:
        `Throwable`

    - #### writer_thrpt_jmhStub

          public static void writer_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                  org.openjdk.jmh.results.RawResults result,
                                                  org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                  org.openjdk.jmh.infra.IterationParams iterationParams,
                                                  org.openjdk.jmh.infra.ThreadParams threadParams,
                                                  org.openjdk.jmh.infra.Blackhole blackhole,
                                                  org.openjdk.jmh.infra.Control notifyControl,
                                                  int startRndMask,
                                                  WriterBenchmark_jmhType l_writerbenchmark0_G)
                                           throws Throwable

      Throws:
        `Throwable`

    - #### writer_AverageTime

          public org.openjdk.jmh.results.BenchmarkTaskResult writer_AverageTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                         throws Throwable

      Throws:
        `Throwable`

    - #### writer_avgt_jmhStub

          public static void writer_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                 org.openjdk.jmh.results.RawResults result,
                                                 org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                 org.openjdk.jmh.infra.IterationParams iterationParams,
                                                 org.openjdk.jmh.infra.ThreadParams threadParams,
                                                 org.openjdk.jmh.infra.Blackhole blackhole,
                                                 org.openjdk.jmh.infra.Control notifyControl,
                                                 int startRndMask,
                                                 WriterBenchmark_jmhType l_writerbenchmark0_G)
                                          throws Throwable

      Throws:
        `Throwable`

    - #### writer_SampleTime

          public org.openjdk.jmh.results.BenchmarkTaskResult writer_SampleTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                               org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                        throws Throwable

      Throws:
        `Throwable`

    - #### writer_sample_jmhStub

          public static void writer_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                   org.openjdk.jmh.results.RawResults result,
                                                   org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                   org.openjdk.jmh.infra.IterationParams iterationParams,
                                                   org.openjdk.jmh.infra.ThreadParams threadParams,
                                                   org.openjdk.jmh.infra.Blackhole blackhole,
                                                   org.openjdk.jmh.infra.Control notifyControl,
                                                   int startRndMask,
                                                   org.openjdk.jmh.util.SampleBuffer buffer,
                                                   int targetSamples,
                                                   long opsPerInv,
                                                   int batchSize,
                                                   WriterBenchmark_jmhType l_writerbenchmark0_G)
                                            throws Throwable

      Throws:
        `Throwable`

    - #### writer_SingleShotTime

          public org.openjdk.jmh.results.BenchmarkTaskResult writer_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                   org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                            throws Throwable

      Throws:
        `Throwable`

    - #### writer_ss_jmhStub

          public static void writer_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                               org.openjdk.jmh.results.RawResults result,
                                               org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                               org.openjdk.jmh.infra.IterationParams iterationParams,
                                               org.openjdk.jmh.infra.ThreadParams threadParams,
                                               org.openjdk.jmh.infra.Blackhole blackhole,
                                               org.openjdk.jmh.infra.Control notifyControl,
                                               int startRndMask,
                                               int batchSize,
                                               WriterBenchmark_jmhType l_writerbenchmark0_G)
                                        throws Throwable

      Throws:
        `Throwable`